# Weather Visualization (Vue)

This is a simple visualization of temperature data using Vue and the OpenWeatherMap API

- line graph using HTML and CSS
- responsivity reacting to different device widths with scaling and graceful fallback to fewer data points
- display of more precise temperatures on hover or tap
- city selector with example cities
- real weather data fetched from OpenWeatherMap via axios

This project has been made as a simple exercise to refresh Vue.js knowledge, practice styling and fine tune my local dev set-up across three NixOS machines